#ifndef TERMINAL_API_DRIVER_H
#define TERMINAL_API_DRIVER_H

#include <string>
#include <terminal_api/ControlProtoCInterface.h>


namespace api_driver {
    /**
     * Это ApiDriver. Все ответы он будет возвращать в виде json.
     */
    class ApiDriver {
    public:
        explicit ApiDriver();

        /**
         * Запросить общее состояние терминала
         * @return {"rxState":0,"txState":0,"testState":0}
         */
        std::string loadTerminalState();

        std::string loadTxStatistics();

        std::string loadRxStatistics();

        std::string loadDeviceStatistics();

        ~ApiDriver();

    private:
        TSID sid{0};
        unsigned int access{0};

    };
}

#endif //TERMINAL_API_DRIVER_H
